Subject: RE: linux-next: build failure after merge of the net-next tree

From: "Keller, Jacob E" <[email-masked]>
Date: Fri, 7 Sep 2018 22:03:13 +0000

> -----Original Message-----
> From: David Miller [mailto:[email-masked]]
> Sent: Friday, September 07, 2018 10:31 AM
> To: Keller, Jacob E <[email-masked]>
> Cc: [email-masked]; [email-masked]; [email-masked];
> [email-masked]; Kirsher, Jeffrey T <[email-masked]>;
> Bowers, AndrewX <[email-masked]>
> Subject: Re: linux-next: build failure after merge of the net-next tree
> 
> From: "Keller, Jacob E" <[email-masked]>
> Date: Fri, 7 Sep 2018 15:30:42 +0000
> 
> > There's some discussion about this going on in the intel-wired-lan
> > mailing list.
> 
> I really want to see a pull request in my inbox fixing this by the end
> of today or I'll apply a fix directly at my discretion.

Jeff is out, so I just opted to email a fix to netdev. I hope this is acceptable.

I opted to essentially revert the patch that moved code to i40e_ethtool_stats.h, rather than anything fancier, since it was fast, and correct.

There was a suggestion to only move the one offending function, but I felt that it was better to move everything back into the .c files.

Thanks,
Jake